import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetAddressesParams, DefaultAppTokenDefinition, GetUnderlyingTokensParams, GetDataPropsParams, GetDisplayPropsParams } from '../../../position/template/app-token.template.types';
import { UnlockdFinanceContractFactory, UnlockdFinanceUToken } from '../contracts';
export declare class EthereumUnlockdFinanceSupplyTokenFetcher extends AppTokenTemplatePositionFetcher<UnlockdFinanceUToken> {
    protected readonly appToolkit: IAppToolkit;
    private readonly unlockdFinanceContractFactory;
    groupLabel: string;
    uTokenAddress: string;
    wethAddress: string;
    dataProviderAddress: string;
    constructor(appToolkit: IAppToolkit, unlockdFinanceContractFactory: UnlockdFinanceContractFactory);
    getContract(address: string): UnlockdFinanceUToken;
    getAddresses(_params: GetAddressesParams<DefaultAppTokenDefinition>): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<UnlockdFinanceUToken>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare(): Promise<number[]>;
    getApy({ multicall }: GetDataPropsParams<UnlockdFinanceUToken>): Promise<number>;
    getLabel({ appToken }: GetDisplayPropsParams<UnlockdFinanceUToken>): Promise<string>;
    getLabelDetailed({ appToken }: GetDisplayPropsParams<UnlockdFinanceUToken>): Promise<string>;
    getTertiaryLabel({ appToken }: GetDisplayPropsParams<UnlockdFinanceUToken>): Promise<string>;
}
